## ros-kinetic-rosbag-pandas 0.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbag_pandas)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

#############
## Install ##
#############

install(PROGRAMS
  scripts/bag_csv
  scripts/bag_plot
  scripts/bag_print
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(tests)
endif()

=== debian/changelog ===
ros-kinetic-rosbag-pandas (0.5.3-0xenial) xenial; urgency=high

  * flatdict dep in package
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <rein@eurotec.nu>  Wed, 20 Mar 2019 23:00:00 -0000

ros-kinetic-rosbag-pandas (0.5.2-0xenial) xenial; urgency=high

  * Update .travis.yml
  * Update README.md
  * only module import
  * required arguments
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <rein@eurotec.nu>  Tue, 26 Feb 2019 23:00:00 -0000

ros-kinetic-rosbag-pandas (0.5.1-0xenial) xenial; urgency=high

  * Refactor rosbag_pandas
    - Support dynamic arrays
    - Key pattern specification conform rostopic msgevalgen
    - Renamed scripts (and fixed scripts)
    - Added new unit test
    - Cleanup package
    - pep8 compliance
    - Updated documentation README
  * Fork from https://github.com/aktaylor08/RosbagPandas, see https://github.com/aktaylor08/RosbagPandas/issues/11
  * Contributors: Adam Taylor, Felix, Low Kian Seong, Ramon Wijnands, Rein Appeldoorn, itsb, turtlebot

 -- Rein Appeldoorn <rein@eurotec.nu>  Thu, 01 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rosbag-pandas
Section: misc
Priority: extra
Maintainer: Rein Appeldoorn <rein@eurotec.nu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rosbag-pandas
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-matplotlib, python-numpy, python-pandas, ros-kinetic-rosbag, ros-kinetic-roslib, ros-kinetic-rospy-message-converter
Description: Create a Pandas data frame from a ros bag file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosbag-pandas//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
